Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.encog.parse.tags
Enum Tag.Type

    java.lang.Object
      java.lang.Enum<Tag.Type>
          org.encog.parse.tags.Tag.Type

All Implemented Interfaces:
  Serializable, Comparable<Tag.Type>

Enclosing class:
  Tag

    public static enum Tag.Type

extends Enum<Tag.Type>

Tag types.

Author:
  jheaton

Enum Constant Summary
`BEGIN` A beginning tag.
`CDATA` A CDATA section.
`COMMENT` A comment.
`END` An ending tag.

Method Summary
`static Tag.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Tag.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BEGIN

    public static final Tag.Type BEGIN

  A beginning tag.

### END

    public static final Tag.Type END

  An ending tag.

### COMMENT

    public static final Tag.Type COMMENT

  A comment.

### CDATA

    public static final Tag.Type CDATA

  A CDATA section.

Method Detail

### values

    public static Tag.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Tag.Type c : Tag.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Tag.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011. All Rights Reserved.